## python-statsd 3.2.1

=== requirements.txt ===
mock==1.0.1
nose==1.2.1
flake8==1.7.0

## python-statsd 2.0.1

=== debian/changelog ===
python-statsd (2.0.1-1) unstable; urgency=low

  * Initial release. Closes: #703613

 -- Antoine Musso <hashar@free.fr>  Thu, 18 Apr 2013 10:55:24 +0000

=== debian/control ===
Source: python-statsd
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antoine Musso <hashar@free.fr>,
 Paul Belanger <paul.belanger@polybeacon.com>
Build-Depends: debhelper (>= 9), python-all, python-setuptools
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: https://github.com/WoLpH/python-statsd
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-statsd/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-statsd/trunk/

Package: python-statsd
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python client for the statsd daemon
 Statsd is a client for Etsy's statsd server, a front end/proxy for the
 Graphite stats collection and graphing server.
 .
 This is the most popular `statsd` python module on pypi.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

get-orig-source:
	uscan --download-current-version --rename --destdir ../tarballs

override_dh_clean:
	dh_clean
	# dh_clean does not support recursive deletions via debian/clean
	# so we have to explicitly delete the egg directories there.
	# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511048
	rm -rf mock-*.egg
	rm -rf nose-*.egg

.PHONY: get-orig-source override_dh_clean

=== debian/watch ===
version=3
http://githubredir.debian.net/github/jsocol/pystatsd /v(.+)\.tar\.gz

## python-statsd 3.0.1

=== debian/changelog ===
python-statsd (3.0.1-2) unstable; urgency=medium

  * Build python3-statsd, thanks Bernhard Schmidt (Closes: #778601)

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 10 Jul 2015 18:09:04 +0100

python-statsd (3.0.1-1) unstable; urgency=medium

  [ Filippo Giunchedi ]
  * New upstream release. Closes: #772936
  * Migrate away from githubredir in debian/watch
  * Move to Standards-Versions 3.9.6, no changes

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 12 Dec 2014 10:41:21 +0000

python-statsd (2.0.3-1) unstable; urgency=low

  [ Antoine Musso]
  * New upstream release. Closes: #726980
  * Correct Homepage and description in debian/changelog, was refering to the
    pypi module 'python-statsd' when this package is the module 'statsd'
    Closes: #736256

  [Jakub Wilk]
  * Use canonical URIs for Vcs-* fields.

 -- Antoine Musso <hashar@free.fr>  Thu, 20 Feb 2014 17:44:24 +0000

=== debian/control ===
Source: python-statsd
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antoine Musso <hashar@free.fr>,
 Paul Belanger <paul.belanger@polybeacon.com>
Build-Depends: debhelper (>= 9), dh-python,
 python-all, python-setuptools, python-nose, python-mock,
 python3-all, python3-setuptools, python3-nose, python3-mock
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/jsocol/pystatsd/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-statsd/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-statsd/trunk/

Package: python-statsd
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python client for the statsd daemon (Python 2)
 A python client for Etsy's stasd server. A friendly front-end to Graphite.
 .
 The package contains the pypi package `statsd` which is the most popular
 `statsd` module on pypi.
 .
 This package installs the library for Python 3.

Package: python3-statsd
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python client for the statsd daemon (Python 3)
 A python client for Etsy's stasd server. A friendly front-end to Graphite.
 .
 The package contains the pypi package `statsd` which is the most popular
 `statsd` module on pypi.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
https://github.com/jsocol/pystatsd/releases .*/archive/v(.+)\.tar\.gz

## python-statsd 3.2.1

=== debian/changelog ===
python-statsd (3.2.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Filippo Giunchedi ]
  * debian/control: fix Description for python-statsd (Closes: #810547)
  * debian/patches/808056.patch:
      fix assert_called_once() calls, thanks Gilles Dubuc (Closes: #808056)

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 23 May 2016 13:18:22 +0100

python-statsd (3.2.1-1) unstable; urgency=medium

  * New upstream release
    + Restore `StatsClient(host, port, prefix)` argument order.

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 19 Nov 2015 19:12:27 +0000

python-statsd (3.2-1) unstable; urgency=medium

  * New upstream release
    + optional IPv6 support
    + sub-millisecond timestamps
    + TCP client

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 22 Oct 2015 10:34:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/jsocol/pystatsd/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-statsd/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-statsd/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-statsd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-statsd.git
 
 Package: python-statsd
 Architecture: all
@@ -23,7 +23,7 @@
  The package contains the pypi package `statsd` which is the most popular
  `statsd` module on pypi.
  .
- This package installs the library for Python 3.
+ This package installs the library for Python 2.
 
 Package: python3-statsd
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export PYBUILD_NAME=statsd
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 get-orig-source:
 	uscan --download-current-version --rename --destdir ../tarballs

## python-statsd 3.3

=== debian/changelog ===
python-statsd (3.3-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 10 Jun 2019 12:58:33 +0000

python-statsd (3.3-0ubuntu1) eoan; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/p/808056.patch: Dropped. Fixed in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jun 2019 10:12:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-statsd
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Antoine Musso <hashar@free.fr>,
  Paul Belanger <paul.belanger@polybeacon.com>
 Build-Depends: debhelper (>= 9), dh-python,
@@ -11,8 +12,8 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/jsocol/pystatsd/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-statsd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-statsd.git
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-statsd
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-statsd
 
 Package: python-statsd
 Architecture: all

## python-statsd 3.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonStatsD.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonStatsD.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonStatsD"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonStatsD"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-statsd (3.3.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 12:21:57 -0400

python-statsd (3.3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Team upload.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:43:12 +0200

python-statsd (3.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Removed Python 2 support (Closes: #938197).
  * Removed debian/gbp.conf which contains things that should go in
    ~/.gbp.conf rather than in a package.
  * Removed 808056.patch applied upstream.
  * Standards-Version bump to 4.4.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 23:13:32 +0200

=== debian/control ===
Source: python-statsd
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Antoine Musso <hashar@free.fr>,
 Paul Belanger <paul.belanger@polybeacon.com>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-all,
 python3-mock,
 python3-nose,
 python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/jsocol/pystatsd/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-statsd.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-statsd

Package: python3-statsd
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python client for the statsd daemon (Python 3)
 A python client for Etsy's stasd server. A friendly front-end to Graphite.
 .
 The package contains the pypi package `statsd` which is the most popular
 `statsd` module on pypi.
 .
 This package installs the library for Python 3.

## python-statsd 4.0.1

=== requirements.txt ===
nose2
flake8
coverage

=== debian/changelog ===
python-statsd (4.0.1-3) unstable; urgency=medium

  * Team upload.
  * Trim d/rules for recent DebHelper

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 14:04:22 +0200

python-statsd (4.0.1-2) unstable; urgency=medium

  * Team upload.
  * upstream uses unittest.mock now, drop dep. on python3-mock
  * use new dh-sequence-python3
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Mar 2024 22:21:14 +0100

python-statsd (4.0.1-1) unstable; urgency=medium

  * Team upload.
  * d/watch: adapt to new github changes
  * New upstream version
  * d/control:
       - Use python3-nose2 (Closes: #1018583)
       - Add pybuild-plugin-pyproject to Build-Dep

 -- Mohammed Bilal <mdbilal@disroot.org>  Sun, 04 Dec 2022 17:22:27 +0530

python-statsd (3.3.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:22:41 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  Antoine Musso <hashar@free.fr>,
  Paul Belanger <paul.belanger@polybeacon.com>,
 Build-Depends:
- debhelper-compat (= 9),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-mock,
- python3-nose,
+ python3-nose2,
  python3-setuptools,
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/jsocol/pystatsd/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-statsd.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-statsd
@@ -24,7 +25,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Description: Python client for the statsd daemon (Python 3)
- A python client for Etsy's stasd server. A friendly front-end to Graphite.
+ A Python client for Etsy's stasd server. A friendly front-end to Graphite.
  .
  The package contains the pypi package `statsd` which is the most popular
  `statsd` module on pypi.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=statsd

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=auto" \
https://github.com/jsocol/pystatsd.git \
refs/tags/v?@ANY_VERSION@
